gtk-sharp 0.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A widget that creates a signal when clicked on.

The GtkButton widget is generally used to attach a function to that is called when the button is pressed. The various signals and how to use them are outlined below.

The GtkButton widget can hold any valid child widget. That is it can hold most any other standard . The most commonly used child is the .

Gtk.Bin Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.UInt32 To be added To be added: an object of type 'uint' To be added
- Method
  Gtk.Button `` Creates a widget with a child containing the given text. The text you want the to hold. The newly created widget. Creates a widget with a child containing the given text.
- Method
  Gtk.Button `` Creates a new containing the image and text from a stock item. To be added: an object of type 'string' To be added: an object of type 'Gtk.Button'

  Creates a new containing the image and text from a stock item. Some stock ids are available from the class.

  If is unknown, then it will be treated as a mnemonic label (similar to ).

- Method
  System.Void Emits a event to the given . Emits a event to the given .
- Method
  System.Void Emits a event to the given . Emits a event to the given .
- Method
  System.Void Emits a event to the given . Emits a event to the given .
- Method
  System.Void Emits a event to the given . Emits a event to the given .
- Method
  System.Void Emits a event to the given . Emits a event to the given .
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  GLib type for the type
  Creates a new instance of Button, using the GLib-provided type

  This is a constructor used by derivative types of that would have their own GLib type assigned to it. This is not typically used by C# code.

- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Button, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates an empty widget.
  The newly created widget.
  Creates a new widget. To add a child widget to the button, use .
- Constructor
  Creates a widget with a child containing the given text.
  The text you want the to hold.
  The newly created widget.
  To be added
- Property
  System.UInt32 The GLib Type for Gtk.Button The GLib TYpe for the Gtk.Button class.
- Property
  System.Boolean `` The button label is a stock item. if the button should use a stock item. if the button label is used to select a stock item instead of being used directly as the label text.

  Sets whether the button label is a stock item. If if the button label is used to select a stock item instead of being used directly as the label text.

- Property
  System.Boolean `` Sets whether an embedded underline in the button label indicates a mnemonic. if underlines in the text indicate mnemonics. if an embedded underline in the button label indicates the mnemonic accelerator keys.

  Sets whether an embedded underline in the button label indicates a mnemonic.

- Property
  Gtk.ReliefStyle `` To be added To be added: an object of type 'Gtk.ReliefStyle' To be added: an object of type 'Gtk.ReliefStyle' To be added
- Property
  System.String `` The text from the label of the button. A string The text of the label widget.

  Sets or gets the text from the label of the button. If the label text has not been set the return value will be . This will be the case if you create an empty button to use as a container.

- Event
  To be added
  To be added
- Event
  Emitted when a button clicked on by the mouse and the cursor stays on the button.

  Emitted when a button clicked on by the mouse and the cursor stays on the button. If the cursor is not on the button when the mouse button is released, the signal is not emitted.

- Event
  Emitted when the mouse cursor leaves the region of the button.

  Emitted when the mouse cursor leaves the region of the button.

- Event
  Emitted when the button is initially pressed.

  Emitted when the button is initially pressed.

- Event
  Emitted when a button which is pressed is released, no matter where the mouse cursor is.

  Emitted when a button which is pressed is released, no matter where the mouse cursor is.

- Event
  Emitted when the mouse cursor enters the region of the button.

  Emitted when the mouse cursor enters the region of the button.